# Zapier

Storylane directly integrates with Zapier, to send leads and analytics on "Demo Viewed" or "Lead Captured" triggers.&#x20;

{% hint style="info" %}

## 🎉 "Demo Viewed" and "Lead Captured" triggers are available

{% endhint %}

{% hint style="warning" %}

### **Identifying Leads**

There are a few ways in which you can capture or identify leads. You can refer to the article on [Lead Tracking](https://docs.storylane.io/analytics-and-performance/capture-leads) to learn more
{% endhint %}

### **How to Integrate**

* Click the "Settings" on the left-hand menu, and then click on the "Integration" tab.&#x20;
* Choose  Zapier integration and click on the "Connect" button.&#x20;
* You will be provided an **API-Key** to copy and use inside Zapier for connecting Storylane app

### Unknown Lead Data

For unknown leads, we can still send over our [Account Reveal](https://docs.storylane.io/integrations/integrations/clearbit) data.

### Known Lead Data

```json
// Some code
email: bob@acme.com, 
first_name: Bob, 
last_name: Sam, 
last_demo: { 
   name: Mercury Demo 
   link: https://app.storylane.io/share/####### 
   viewed_at: 2023-09-13T21:51:00.734+00:00 
   completion: 100 
   time_spent: 29 
   checklist_completed: false 
   cta_opened: https://www.storylane.io/request-demo 
   analytics_url: https://app.storylane.io/analytics/activity/#####-####-###-###
   demo_sessions: 12
},
buyer_reveal: {
    company_name: "Acme Inc",
    company_domain: "bob@acmeinc.com",
    company_annual_revenue_range: "$10M-$20M",
    company_employee_range: "50-100"
 }
```

### **Sample Integration - Zapier and Hubspot**

{% @storylane/embed subdomain="app" linkValue="a7ez4npl661t" url="<https://app.storylane.io/share/a7ez4npl661t>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.storylane.io/integrations/integrations/zapier.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
